Unispec Docs
ApiMemory

Add memories

Extract and store memories from a message list, scoped to an entity.

POST
/v3/memories/add/

Extract and store memories from a message list, scoped to an entity.

Authorization

TokenAuth
Authorization<token>

Project API key as Token lb-sk_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v3/memories/add/" \  -H "Content-Type: application/json" \  -d '{    "messages": [      {        "role": "user",        "content": "I prefer window seats and vegetarian meals."      }    ],    "user_id": "u_123"  }'
{  "results": [    {      "id": "string",      "memory": "string",      "user_id": "string",      "metadata": {},      "created_at": "2019-08-24T14:15:22Z",      "score": 0    }  ]}
{  "detail": "string"}